package com.shinsoft.sto.service.impl.ware;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.shinsoft.sto.mapper.ware.DistributionMapper;
import com.shinsoft.sto.model.system.ResponseCodeMsg;
import com.shinsoft.sto.model.system.ResultJSON;
import com.shinsoft.sto.model.ware.Distribution;
import com.shinsoft.sto.service.ware.DistributionService;
import com.shinsoft.tools.JSONTools;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 * 配车单 服务实现类
 * </p>
 *
 * @author system
 * @since 2024-12-05
 */
@Service
public class DistributionServiceImpl extends ServiceImpl<DistributionMapper, Distribution> implements DistributionService {


    @Override
    public ResultJSON query(int page, int rows, Map<String, Object> map) {
        try {
            Page<Distribution> pageParam = new Page<>(page, rows);
            IPage<Distribution> result = baseMapper.selectDistributionPage(pageParam, map);
            return ResultJSON.success(result);
        } catch (Exception ex) {
            ex.printStackTrace();
            return ResultJSON.error(ResponseCodeMsg.CODE_EX, ex.getMessage());
        }
    }
}

